Package com.avaya.clientservices.messaging.enums

## Enum MessagingReasonType

- java.lang.Object
- - java.lang.Enum<MessagingReasonType>
  - - com.avaya.clientservices.messaging.enums.MessagingReasonType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MessagingReasonType>`

      public enum MessagingReasonType
      extends java.lang.Enum<MessagingReasonType>

  Provides additional reason information for the Left and Closed message types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTO` | The message is generated by the system.
    `FORCED` | The message is a result of power user's enforcement action.
    `MANUAL` | The message is a result of a manual intervention.
    `NONE` | The message reason is not specified.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MessagingReasonType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MessagingReasonType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final MessagingReasonType NONE

      The message reason is not specified.

    - #### MANUAL

          public static final MessagingReasonType MANUAL

      The message is a result of a manual intervention.

    - #### AUTO

          public static final MessagingReasonType AUTO

      The message is generated by the system.

    - #### FORCED

          public static final MessagingReasonType FORCED

      The message is a result of power user's enforcement action. E.g. participant left the conversation due to he was removed by other participant who has appropriate permissions to drop conversation participants.

  - ### Method Detail

    - #### values

          public static MessagingReasonType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessagingReasonType c : MessagingReasonType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessagingReasonType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null